> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameball.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Transaction Count

> Retrieve the total count of transactions with optional filtering.

## Transaction Count

This API retrieves the total count of transactions from Gameball, allowing for optional filtering. It provides the number of transactions matching the specified criteria without returning detailed transaction records.

<Info>
  **Channel Merging Available**
  If your system uses different customer IDs across multiple channels (e.g., online and offline), Gameball's channel merging feature helps unify customer profiles. By including the customer's mobile number or email (based on your merging configuration) with each request, Gameball will combine activities into a single profile.
</Info>

<Info>
  Security: Provide both `apikey` and `secretkey` headers.
</Info>


## OpenAPI

````yaml GET /api/v4.0/integrations/transactions/count
openapi: 3.1.0
info:
  title: Gameball API
  description: >-
    Gameball REST API v4.0 - Complete API reference for integrating loyalty,
    gamification, and customer engagement features
  version: 4.0.0
servers:
  - url: https://api.gameball.co
security:
  - bearerAuth: []
paths:
  /api/v4.0/integrations/transactions/count:
    get:
      description: >-
        This API retrieves the total count of transactions from Gameball,
        allowing for optional filtering. It provides the number of transactions
        matching the specified criteria without returning detailed transaction
        records.
      parameters:
        - name: direction
          in: query
          schema:
            type: string
          description: >-
            Direction of the transaction: + (Accumulation - points or rewards
            added to the customer), - (Deduction - points or rewards removed
            from the customer).
        - name: status
          in: query
          schema:
            type: string
          description: >-
            Represents the current status of the transaction. Possible values
            are: Active (The transaction is fully completed, and any points or
            rewards have been successfully added or redeemed), Pending (Points
            or rewards from the transaction are pending during the return window
            period), Blocked (The transaction has been flagged and blocked due
            to suspected fraud or other security concerns), Expired (The points
            or rewards earned in this transaction have expired and are no longer
            available for redemption or use).
        - name: customerId
          in: query
          schema:
            type: string
          description: >-
            Unique identifier for the customer that you can reference across the
            customer's whole lifetime. Could be a database ID, random string,
            email or anything that uniquely identifies the customer. This is
            used to filter the transactions of the specified customer.
      responses:
        '200':
          description: Transaction count retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: number
                    description: >-
                      The total number of transactions available in Gameball
                      system.
                    example: 240
      security:
        - apiKey: []
          secretKey: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: apikey
    secretKey:
      type: apiKey
      in: header
      name: secretkey

````